#ifdef VHDL
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Pseudo_LRU/include/Pseudo_LRU.h"
#include "Behavioural/include/Vhdl.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace select {
namespace pseudo_lru {


  void Pseudo_LRU::vhdl (void)
  {
    log_printf(FUNC,Pseudo_LRU,"vhdl","Begin");

    log_printf(TRACE,Pseudo_LRU,"vhdl","Construction of vhdl");
    Vhdl vhdl (_name);

    log_printf(TRACE,Pseudo_LRU,"vhdl","Set library");
    vhdl.set_library_work (_name + "_Pack");

    log_printf(TRACE,Pseudo_LRU,"vhdl","Set port");
    vhdl_port        (vhdl);
    log_printf(TRACE,Pseudo_LRU,"vhdl","Set declaration");
    vhdl_declaration (vhdl);
    log_printf(TRACE,Pseudo_LRU,"vhdl","Set body");
    vhdl_body        (vhdl);
    log_printf(TRACE,Pseudo_LRU,"vhdl","Generate File");
    vhdl.generate_file();
    log_printf(FUNC,Pseudo_LRU,"vhdl","End");
  };

}; // end namespace pseudo_lru
}; // end namespace select
}; // end namespace generic
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
